<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (12.0.1) on Mon Oct 14 15:00:42 CEST 2019 -->
<title>SeriesService</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-10-14">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SeriesService";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":9,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">services</a></div>
<h2 title="Class SeriesService" class="title">Class SeriesService</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>services.SeriesService</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">SeriesService</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(repository.SeriesDAO)">SeriesService</a></span>&#8203;(<a href="../repository/SeriesDAO.html" title="class in repository">SeriesDAO</a>&nbsp;seriesDAO)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="tableTab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>java.util.List&lt;<a href="../domain/Series.html" title="class in domain">Series</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#findAllSeries()">findAllSeries</a></span>()</code></th>
<td class="colLast">
<div class="block">Zoekt alle series</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>static <a href="../domain/Series.html" title="class in domain">Series</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#findSeriesByID(int)">findSeriesByID</a></span>&#8203;(int&nbsp;id)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code><a href="../domain/Series.html" title="class in domain">Series</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#findSeriesStartingWith(java.lang.String)">findSeriesStartingWith</a></span>&#8203;(java.lang.String&nbsp;match)</code></th>
<td class="colLast">
<div class="block">Opzoeking serie met opgegeven String</div>
</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>java.util.List&lt;<a href="../domain/Series.html" title="class in domain">Series</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#showSeriesFromYear(int)">showSeriesFromYear</a></span>&#8203;(int&nbsp;year)</code></th>
<td class="colLast">
<div class="block">Weergave series op gekozen jaar
 arraylist: 5 af te trekken van het product van het pagina nummer maal 5.</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(repository.SeriesDAO)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SeriesService</h4>
<pre>public&nbsp;SeriesService&#8203;(<a href="../repository/SeriesDAO.html" title="class in repository">SeriesDAO</a>&nbsp;seriesDAO)</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="findSeriesByID(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findSeriesByID</h4>
<pre class="methodSignature">public static&nbsp;<a href="../domain/Series.html" title="class in domain">Series</a>&nbsp;findSeriesByID&#8203;(int&nbsp;id)
                             throws <a href="../exceptions/IDOutOfBoundException.html" title="class in exceptions">IDOutOfBoundException</a>,
                                    <a href="../exceptions/NoRecordFoundException.html" title="class in exceptions">NoRecordFoundException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../exceptions/IDOutOfBoundException.html" title="class in exceptions">IDOutOfBoundException</a></code></dd>
<dd><code><a href="../exceptions/NoRecordFoundException.html" title="class in exceptions">NoRecordFoundException</a></code></dd>
</dl>
</li>
</ul>
<a id="findAllSeries()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findAllSeries</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;<a href="../domain/Series.html" title="class in domain">Series</a>&gt;&nbsp;findAllSeries()
                                     throws <a href="../exceptions/NoRecordFoundException.html" title="class in exceptions">NoRecordFoundException</a></pre>
<div class="block">Zoekt alle series</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>arraylist series object</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../exceptions/NoRecordFoundException.html" title="class in exceptions">NoRecordFoundException</a></code> - indien geen resultaat</dd>
</dl>
</li>
</ul>
<a id="showSeriesFromYear(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showSeriesFromYear</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;<a href="../domain/Series.html" title="class in domain">Series</a>&gt;&nbsp;showSeriesFromYear&#8203;(int&nbsp;year)
                                          throws <a href="../exceptions/NoRecordFoundException.html" title="class in exceptions">NoRecordFoundException</a></pre>
<div class="block">Weergave series op gekozen jaar
 arraylist: 5 af te trekken van het product van het pagina nummer maal 5.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>year</code> - jaar</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>arraylist</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../exceptions/NoRecordFoundException.html" title="class in exceptions">NoRecordFoundException</a></code> - indien geen resultaat</dd>
</dl>
</li>
</ul>
<a id="findSeriesStartingWith(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>findSeriesStartingWith</h4>
<pre class="methodSignature">public&nbsp;<a href="../domain/Series.html" title="class in domain">Series</a>&nbsp;findSeriesStartingWith&#8203;(java.lang.String&nbsp;match)
                              throws <a href="../exceptions/NoRecordFoundException.html" title="class in exceptions">NoRecordFoundException</a></pre>
<div class="block">Opzoeking serie met opgegeven String</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>match</code> - Begin String serie</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Series object</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../exceptions/NoRecordFoundException.html" title="class in exceptions">NoRecordFoundException</a></code> - indien geen resultaat</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
